Feature Flag Request

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

List all feature flag request usage

Required API key scopes

feature_flag:read

Query parameters

  • date_from
    string
  • date_to
    string
  • time_interval
    string
    Default: day
    One of: "hour""day"

Response


Example request

GET /api/projects/:project_id/feature_flag_request_usage
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_flag_request_usage/

Example response

Status 200
RESPONSE
{
"results": [
{
"request_type": "remote_evaluation",
"bucket": "2019-08-24T14:15:22Z",
"sdk": "string",
"request_count": 0,
"billing_units": 0
}
]
}